MACOPIX(1)

NAME
MaCoPiX - Mascot Constructive Pilot for X

SYNOPSIS
macopix [ options ... ] [ mascot-file ]
macopix [ options ... ] --menu menu-file

DESCRIPTION
MaCoPiX is a desktop mascot program running under UNIX / X window systems. This program could be an evolved one from ActX (Activate X window system).
Currently, you can make following types of mascots using MaCoPiX.

- Focus follower (Window sitters : likely ActX)

- Fixed style      (Desktop wappen?)

Furthermore, you can select with or without a digital clock for each types of mascots. So, MaCoPiX can be used as a sort of desktop clock applications. (But the clock function is still poor.)
    The biff function is also avairable for POP/APOP/UNIX local spool environments. The all configuration of MaCoPiX, even including the creation and edit of mascots, is aveirable via GUI menu.
    And, please pay attention that mascot files of MaCoPiX has no compatibility with those of ActX.

ENVIRONMENT
MaCoPiX is running on X Window System (over 16bit colors are recommended.) of any UNIX operating systems. But, you needs

- Gtk+       > ver2.2.0   (or Gtk+ > ver1.2.0 / gdk-pixbuf > ver0.7.0 / libpng)

- gettext    > ver0.10

to run this program.
    MaCoPiX can be used on any Window Managers without any problems.

BASIC OPERATION
- The right click for popup menu. In this poppup menu, you can change the current mascot and all configuration of MaCoPiX. Furthermore, you can create new mascot from this menu. If you want to save your changes, you should execute "Save" command in this popup menu.
- The left drag for mascot's horizontal position change on title bar, if the mascot is in the window-sitter mode. In the case of fix position mascots, the left drag should be the change of fixed position of the mascot.
- "Click Animation", "Sound Playback" & "Balloon Talk" can be shown
 with the left click on the mascot.
- If you started it with the biff-mode, the biff bitmap appears in the case that you have new (or unread) mails. The left click on this biff bitmap enables you to check From: & Subject: of unread mails.
- If your mouse cursor entered the panel of digital clock (if you are using it), the date description tip appears on it.

OPTIONS
Usually, you can set a mascot file (.mcpx) to be loaded at the start time in your command line option. If no mascot files are appointed, one of mascots in the default menu file are selected randomely.

All command line options...

-h, --help
    Print help message.

-c, --common-dir
    Print COMMON Directory.

-b, --biff
    Turn on the biff function.

-s, --signal
    Turn on the time signal function.

-o, --offset
    [ offset[%] ]
    Set offset-value for Focus Following.

-r, --rcfile
    [ rc-file ]
     Set the resource file.

-m, --menu
    [ menu-file ]
    Appoint a menu file to be loaded.

-mg, --magnify
    [ magnification rate (%) ]
    Set magnification percentage of mascot.

-i, --ip-style
    [ (0|1|2|3) ]
    Set interpolation style for magnification.

-a, --auto-install
    Set mascot auto install ON.

-na, --no-auto-install
    Set mascot auto install OFF.

-O, --over-write
    Permit to overwrite files in user dir.

--install-user-mascot
    [ mascot-file (.mcpx) ]
    Install a mascot to your User Directory.

--install-common-mascot
    [ mascot-file (.mcpx) ]
    Install a mascot to Common Directory.

--install-user-menu
    [ menu-file (.menu) ]
    Install a menu and mascots in it to your User Directory.

--install-common-menu
    [ mascot-file (.menu) ]
    Install a menu and mascots in it to Common Directory.

--sockmsg
    Start as a socket message reciever.

--message
    [ message ]
    Send a message to the socket message reciever.

--message-expire
    [ expire-time[msec] ]
    The expire time for the socket message (use w/"-message" option).

-nc, --no-duet-click
    Forbid to use the duet animation for click action.
    Send a message to the socket message reciever.

-nr, --no-duet-random
    Forbid to use the duet animation for random action.

Configuration for Biff
MaCoPiX has the biff function for UNIX mbox and qmil Maildir type local spool and POP3 (w/ or w/o APOP) access to the mail server. Froms and Subjects list of arrived mails can be avairable by click of small biff image with mascot. MIME-encoded mail subjects are automatically decoded by internal functions.
In the Configulation Dialog,
    - type of biff mode
    - the spool file to be checked (for local spool only)
    - update interval
    - mail server & user name & password for POP3(APOP)
    - command for the mailer
should be set.

FILES
HOME$/.macopix/    user directory
HOME$/.macopix/*.mcpx     mascot files
HOME$/.macopix/pixmap/*    mascot image files
HOME$/.macopix/sound/*    mascot sound files

AUTHOR
Kurumi Chimari	<chimari@rosegray.sakura.ne.jp>
  URL:   http://rosegray.sakura.ne.jp/